Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Scheduling

Create Location

POST
/v1/locations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string
Formatuuid
name*string
Length1 <= length
street?|null
postal_code?|null
city?|null
region?|null
iso_country?|null
external_id?|null
is_default?boolean
key*string
Length1 <= length

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/locations" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "key": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "name": "string",  "street": "string",  "postal_code": "string",  "city": "string",  "region": "string",  "iso_country": "string",  "address_line": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "external_id": "string",  "is_default": true,  "key": "string"}